<div class="row">
    <div class="basic-info">
        <app-avatar
            [name]="user.name"
            [photo]="user.avatar"
            class="avatar"
        ></app-avatar>

        <span class="name">{{ user.name }}</span>
    </div>

    <div class="role">
        <mat-icon>admin_panel_settings</mat-icon>
        {{ roleLabel(user.role_id) }}
    </div>

    <div class="email">
        <mat-icon>email</mat-icon>
        {{ user.email }}
    </div>

    <ng-template [ngIf]="user.role_id !== 1">
        <div class="actions">
            <button mat-icon-button color="primary">
                <mat-icon>visibility</mat-icon>
            </button>
            <ng-template [canView]="[1]">
                <button
                    mat-icon-button
                    color="warn"
                    (click)="openDeleteDialog()"
                >
                    <mat-icon>delete</mat-icon>
                </button>
            </ng-template>
        </div>
    </ng-template>
</div>
